package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 数字人素材(背景)对象 xy_np_material
 *
 * @author wyz
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName("xy_np_material")
public class NpMaterial extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 图片后缀
     */
    private String bgFormat;

    /**
     * 组id
     */
    private String groupId;

    /**
     *
     */
    private String proportion;
    /**
     * 图片Id
     */
    private Long imgId;

    /**
     * 硅基平台用户Id
     */
    private Integer userId;

    /**
     * 背景编码
     */
    private String backgroundCode;

    /**
     * 背景名称
     */
    private String backgroundName;
    /**
     *
     */
    private Integer delFlag;

    /**
     * 背景图片的地址
     */
    private String coverUrl;

    /**
     * 1:小易平台上传；2:硅基平台提供
     */
    private String isMyself;

    private Integer materialType;

    private String zipCoverUrl;

    private Integer materialId;
    private Integer backgroundType;

    private String url;
    private String zipUrl;
    private String thumbnailUrl;
    private Integer ownerCorpId;
    private String description;
    private Long baseUserId;
}
