package com.xyzc.start.domain.bo;

import com.xyzc.common.core.validate.AddGroup;
import com.xyzc.common.core.validate.EditGroup;
import com.xyzc.start.domain.ComfyuiUserWorkflow;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 用户提交生成图片的请求业务对象 xy_comfyui_user_workflow
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@AutoMapper(target = ComfyuiUserWorkflow.class, reverseConvertGenerate = false)
public class ComfyuiUserWorkflowBo {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = {EditGroup.class})
    private Long id;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空", groups = {AddGroup.class, EditGroup.class})
    private Long userId;

    /**
     * 模板id
     */
    @NotNull(message = "模板id不能为空", groups = {AddGroup.class, EditGroup.class})
    private Integer workflowId;

    /**
     * 工作流类型
     */
    @NotNull(message = "工作流类型不能为空", groups = {AddGroup.class, EditGroup.class})
    private Integer picType;

    /**
     * 模板json
     */
    @NotBlank(message = "模板json不能为空", groups = {AddGroup.class, EditGroup.class})
    private String workflowJson;

    /**
     * 生成图片的prompt
     */
    @NotBlank(message = "生成图片的prompt不能为空", groups = {AddGroup.class, EditGroup.class})
    private String promptJson;

    /**
     * oss地址
     */
    @NotBlank(message = "oss地址不能为空", groups = {AddGroup.class, EditGroup.class})
    private String picUrl;

    /**
     * 是否生成；0:未启动;1:生成中;2:生成失败;3:生成成功
     */
    @NotNull(message = "是否生成；0:未启动;1:生成中;2:生成失败;3:生成成功不能为空", groups = {AddGroup.class, EditGroup.class})
    private Integer isGenerate;

    /**
     * 生成时间
     */
    @NotNull(message = "生成时间不能为空", groups = {AddGroup.class, EditGroup.class})
    private Date generateTime;

}
