package com.xyzc.start.domain.query;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

@Data
public class AppQuery {

    /**
     * 上一个应用id
     */
    private Long appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 是否按收藏量查询，0-按使用量查询， 1-按收藏量查询
     */
    @Range(min = 0, max = 1, message = "类型错误，请输入{min}到{max}之间的数")
    private String selectType;

    /**
     * 长度
     */
    @Range(min = 1, max = 100, message = "长度错误，请输入{min}到{max}之间的数")
    private Integer length = 20;

}
