package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.BaseUser;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * BaseUserVo
 *
 * @author 杨兴卓
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@AutoMapper(target = BaseUser.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BaseUserVo {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户编号
     */
    @AutoMapping(target = "userNo")
    private Long userId;

    /**
     * 是否开启推广员计划，为 true ，开启
     */
    private Boolean isPromoter;


    /**
     * 拥有会员卡数量
     */
    private Integer memberCardCount;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户手机号
     */
    private String mobile;

    /**
     * 剩余燃料
     */
    private Long surplusFuel;

    /**
     * 剩余次数
     */
    private Integer useCount;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 拥有的会员卡
     */
    private List<BaseUserMemberCardVo> memberCardVoList;

}
