package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.FuelPackage;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 燃料包视图对象 xy_fuel_package
 *
 * @author 杨兴卓
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@AutoMapper(target = FuelPackage.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FuelPackageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 代理商燃料包定价id
     */
    private Long id;

    /**
     * 燃料包方案id
     */
    private Long schemeId;

    /**
     * 燃料包定价id
     */
    private Long fuelPackagePriceId;

    /**
     * 燃料包名称
     */
    private String fuelPackageName;

    /**
     * 燃料包别名
     */
    private String fuelPackageAliasName;

    /**
     * 出厂价格（积分）
     */
    private BigDecimal initialPrice;

    /**
     * 燃料值
     */
    private Long fuelNumber;

    /**
     * 描述
     */
    private String description;

    /**
     * 划线价
     */
    private BigDecimal strikethroughPrice;
    ;

    /**
     * 燃料包定价
     */
    private BigDecimal price;

    /**
     * 立省价格
     */
    private BigDecimal saveMoney;


    /**
     * 覆盖
     * @param saveMoney
     */
    public void setSaveMoney(BigDecimal saveMoney) {

        this.saveMoney = strikethroughPrice.subtract(price);
    }

}
